Cygport Reference Manual

### TABLE OF CONTENTS

- meson.cygclass

- cygmeson

- CYGMESON_ARGS

- meson_compile
- meson_test
- meson_install
- src_compile (meson)
- src_test (meson)
- src_install (meson)

## meson.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit meson

DESCRIPTION

Meson is a general-purpose build system written in Python being adopted as a replacement for autotools by the GNOME project. The build is defined by 'meson.build' files in the top source directory and in subdirectories. Meson runs configuration tests, then generates the files needed for ninja to perform the actual build. In this sense, meson replaces autoconf and configure, and ninja replaces automake and make.

INHERITS

ninja.cygclass

REQUIRES

meson

## cygmeson

[ Top ] [ meson.cygclass ] [ Compile Functions ]

SYNOPSIS

      cygmeson [OPTIONS]

DESCRIPTION

Runs meson to configure the package. cygmeson passes meson the flags necessary to install the package into the standard prefix and according to the Filesystem Hierarchy Standard and the Cygwin package guidelines. In addition, all arguments to cygmeson are passed to meson, followed by CYGMESON_ARGS, if set.

NOTE

cygmeson should be run in the directory containing the top-level meson.build.

## CYGMESON_ARGS

[ Top ] [ cygmeson ] [ Variables ]

DESCRIPTION

Additional flags to pass to meson, as a string.

NOTE

Flags in CYGMESON_ARGS follow, and therefore override, flags passed by default to cygmeson.

## meson_compile

[ Top ] [ meson.cygclass ] [ Compile Functions ]

SYNOPSIS

      meson_compile [OPTIONS]

DESCRIPTION

Runs meson to configure the package, followed by ninja to compile it. Any options are passed to meson as option flags.

NOTE

meson_compile should be run in the directory containing the top-level meson.build.

## meson_test

[ Top ] [ meson.cygclass ] [ Testsuite Functions ]

SYNOPSIS

      meson_test

DESCRIPTION

Calls ninja test to run the package's testsuite.

NOTE

meson_test should be run in the directory containing the top-level meson.build.

## meson_install

[ Top ] [ meson.cygclass ] [ Install Functions ]

SYNOPSIS

      meson_install

DESCRIPTION

Runs ninja install to install the package into D.

NOTE

meson_install should be run in the directory containing the top-level meson.build.

## src_compile (meson)

[ Top ] [ meson.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${S}
            meson_compile
    }

## src_test (meson)

[ Top ] [ meson.cygclass ] [ Overloads ]

DEFINITION

    src_test() {
            cd ${S}
            meson_test
    }

## src_install (meson)

[ Top ] [ meson.cygclass ] [ Overloads ]

DEFINITION

    src_install() {
            cd ${S}
            meson_install
    }